﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication5.GridFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<div id = "ControlRegion">
<div class="frame ">
    <div>
        <ej:Grid ID="Grid1"    AllowPaging="True" AllowScrolling="true"
               runat="server">
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" IsFrozen="True"  TextAlign="Right" Width="120" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" IsFrozen="True" Width="150"  />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="130"  />
                <ej:Column Field="Freight" HeaderText="Freight"  TextAlign="Right" Width="150" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" Width="160"   TextAlign="Right" Format="{0:MM/dd/yyyy}" />
                
            </Columns>
            <ClientSideEvents ToolbarClick="onToolBarClick" ActionComplete="complete" RecordDoubleClick="doubleclick" />
<ToolbarSettings ShowToolbar="True" ToolbarItems="  add,edit,delete,update,cancel">
</ToolbarSettings>
           <ScrollSettings Height="330" Width="550" FrozenRows="1"></ScrollSettings>
             <PageSettings PageSize="15" />
              <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True"></EditSettings>
            <SelectionSettings EnableToggle="true" />
        </ej:Grid>
    </div>
    <script>
        function doubleclick(args) {
            if(args.cell.parents().hasClass("e-frozencontentdiv"))
                this.model.columnName = this.getColumnByIndex(args.cellIndex).field;
            else {
                args.cellIndex = args.cellIndex + this.model.scrollSettings.frozenColumns;
                this.model.columnName = this.getColumnByIndex(args.cellIndex).field;
            }
        }

        function complete(args) {
            if (args.requestType == "beginedit") {               
                        var grid = $("#MainContent_Grid1").ejGrid("instance");
                        var elem = $("#MainContent_Grid1" + grid.model.columnName);
                        if (elem.hasClass("e-dropdownlist"))
                            elem.closest(".e-ddl").focus();
                        else if (elem.hasClass("e-numerictextbox"))
                            elem.siblings('input:visible').first().select().focus();
                        else
                            elem.focus().select();                 
            }
        }
    </script>
        </div>
</div>
</asp:Content>

